Subject: bug#799 closed by [email-masked] (#799: fixed in src:xorg-server version 2:21.1.8-1devuan3)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 17 Oct 2023 17:14:02 +0000

This is an automatic notification regarding your bug report
which was filed against the xserver-xorg package:

#799: No system sounds in xterm

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
799: https://bugs.devuan.org/cgi/bugreport.cgi?bug=799
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #799: fixed in src:xorg-server version 2:21.1.8-1devuan3
From: [email-masked]
To: [email-masked]
Date: Tue, 17 Oct 2023 17:12:06 +0000

Version: 2:21.1.8-1devuan3

Source package xorg-server (2:21.1.8-1devuan3) added to Devuan suite unstable.

This closes bug report 799.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Tue, 17 Oct 2023 11:43:40 +0100
Source: xorg-server
Architecture: source
Version: 2:21.1.8-1devuan3
Distribution: unstable
Urgency: medium
Maintainer: Devuan Developers <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 799
Changes:
 xorg-server (2:21.1.8-1devuan3) unstable; urgency=medium
 .
   * d/p/0001-Support-libseat.patch: update to open console correctly.
     (Closes: #799)
Checksums-Sha1:
 cfbf3e5c523599829dc4c988e77895774c08a1db 3683 xorg-server_21.1.8-1devuan3.dsc
 a533a818b4329d67883997ee940dd5ce4b92c36c 134888 xorg-server_21.1.8-1devuan3.debian.tar.xz
 d59bb72a0f3a565c7975d28fb9de18860c955baa 5570 xorg-server_21.1.8-1devuan3_source.buildinfo
Checksums-Sha256:
 e80a08d7f060a105ecbfe13abc0816d4433f66243599c57d938d4e5efd0a90cd 3683 xorg-server_21.1.8-1devuan3.dsc
 b218369e6c409bf727a9b45679370b1889fb509c384acbb811cf3f62b02f95f8 134888 xorg-server_21.1.8-1devuan3.debian.tar.xz
 0834167c4fa69f4d6266d4b5099a5454cb71e1097b8cde45e76729e0da5aa089 5570 xorg-server_21.1.8-1devuan3_source.buildinfo
Files:
 00093e6158130b0d1479a9c72e4a4b17 3683 x11 optional xorg-server_21.1.8-1devuan3.dsc
 a71cfaa7f56f68c0e8c07087ca284304 134888 x11 optional xorg-server_21.1.8-1devuan3.debian.tar.xz
 f3011c90f16934ce618e811c2c46f233 5570 x11 optional xorg-server_21.1.8-1devuan3_source.buildinfo

Subject: No system sounds in xterm
From: Friedhelm Mehnert <[email-masked]>
To: [email-masked]
Date: Fri, 13 Oct 2023 12:50:07 +0200

Package: xserver-xorg
Version: 21.1.7-3devuan2

With the latest version of xserver-xorg in Daedalus I have noticed, that
there are no system sounds while in an xterm. Ore "bell" does not work
anymore. If I configure xterm to use "visual bell" it works.

I have found the patch in commit c2a429512 is responsible for this.
I can get the old behaviour back by reverting to the "devuan1" version.

I also do not have the problems with vrt switching as described in bug
#793.

I attach both X-logs.

Regards Friedhelm